=== modified file 'drizzled/field/real.h'
--- drizzled/field/real.h	2009-02-04 20:24:17 +0000
+++ drizzled/field/real.h	2009-02-11 23:52:27 +0000
@@ -28,6 +28,8 @@
 public:
   bool not_fixed;
 
+  using Field::unpack;
+
   Field_real(unsigned char *ptr_arg, uint32_t len_arg, unsigned char *null_ptr_arg,
              unsigned char null_bit_arg, utype unireg_check_arg,
              const char *field_name_arg,

=== modified file 'storage/innobase/srv/srv0start.c'
--- storage/innobase/srv/srv0start.c	2009-02-10 21:44:00 +0000
+++ storage/innobase/srv/srv0start.c	2009-02-11 23:52:27 +0000
@@ -427,7 +427,9 @@
 	thread should always use that to exit and not use return() to exit.
 	The thread actually never comes here because it is exited in an
 	os_event_wait(). */
+#ifndef UNIV_SOLARIS
 	return 0;
+#endif
 }
 #endif /* !UNIV_HOTBACKUP */
 

=== modified file 'tests/resolve_stack_dump.cc'
--- tests/resolve_stack_dump.cc	2009-01-23 06:03:42 +0000
+++ tests/resolve_stack_dump.cc	2009-02-11 23:52:27 +0000
@@ -95,9 +95,8 @@
 }
 
 
-static bool
-get_one_option(int optid, const struct my_option *,
-	       char *)
+extern "C"
+bool get_one_option(int optid, const struct my_option *, char *)
 {
   switch(optid) {
   case 'V':

